﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using GlobalWPFValidation;

namespace BindingGroupsGlobalValidation
{
    /// <summary>
    /// Interaction logic for Window1.xaml
    /// </summary>
    public partial class Window1 : Window
    {
        Person personOne;

        Person personTwo;

        public Window1()
        {
            InitializeComponent();

            personOne = new Person()
            {
                FirstName = "Frank",
                Age = 10
            };

            personTwo = new Person()
            {
                LastName = "Mortimer",
                Age = 0
            };

            personOnePanel.DataContext = personOne;
            personTwoPanel.DataContext = personTwo;
        }

        private void btnValidate_Click(object sender, RoutedEventArgs e)
        {
            RootElement.BindingGroup.CommitEdit();
        }
    }
}
